> For the complete documentation index, see [llms.txt](https://docs.tenderize.me/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tenderize.me/composability/create-your-composite-lst.md).

# Create your Composite LST

A comprehensive guide to creating, managing, and optimizing validator-diversified liquid staking positions and tokens using Tenderize.

**COMING SOON \*⏳**

{% hint style="info" %}
If you are familiar with Solidity, you can check the technical documentation for [tTokens](/staking/technical-documentation.md) and [TenderSwap](/tenderswap/technical-documentation.md) already get started. Pick your allocation and rebalancing strategies and create a smart contract wrapper around various tTokens.&#x20;
{% endhint %}

### Prerequisites

* Understanding of basic staking concepts
* Supported wallet (MetaMask, etc.)
* Native tokens for staking
* Basic understanding of DeFi operations

### Step-by-Step Guide

#### 1. Acquiring tTokens

* How to stake with different validators
* Getting validator-specific tTokens
* Understanding tToken properties

#### 2. Creating a Composite LST

* Using TenderSwap to combine positions
* Validator distribution of your choice
* Risk management considerations of your choice

#### 3. Managing Your Composite LST

* Monitoring validator performance
* Rebalancing strategies
* Fee considerations

#### 4. Rebalancing Your Position

* When to rebalance
* Using TenderSwap efficiently
* Minimizing slippage

#### 5. Withdrawing and Decomposing

* Full withdrawal process
* Partial withdrawals
* Emergency procedures


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.tenderize.me/composability/create-your-composite-lst.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
